Before submitting your issue, please check these hints!

- **If you have a usage question**, please please post on [our mailing list](https://groups.google.com/forum/#!forum/lasagne-users) instead of creating an issue.
  Make sure to check the [Lasagne documentation](http://lasagne.readthedocs.org/en/latest/) and the [Theano documentation](http://deeplearning.net/software/theano/) first!
  You can search the mailing list as well to see if your question has come up before.

- **If you suspect you have found a bug**, please first try [updating to the bleeding-edge versions of Theano and Lasagne](http://lasagne.readthedocs.io/en/latest/user/installation.html#bleeding-edge-version). It may have been fixed already.
  If you are not sure whether the problem lies within your code, Theano, or Lasagne, first post on [our mailing list](https://groups.google.com/forum/#!forum/lasagne-users).
  In any case, try to provide a minimal code example that reproduces the bug, this will greatly speed up the process of tracking down the problem.

- **If you have a feature request or idea**, please include a clear description of the use case(s) it would enable, referencing research papers if applicable, and indicate whether you would be willing to implement the feature yourself.
  We are happy to discuss your suggestion, help refining it, and decide upfront whether it would fit the main library or our [Lasagne/Recipes](https://github.com/Lasagne/Recipes).
